Package org.opensaml.xmlsec.encryption

# Interface DHKeyValue

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `DHKeyValueImpl`

public interface DHKeyValue extends XMLObject
XMLObject representing XML Encryption, version 20021210, DHKeyValue element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Generator`
`getGenerator()`
Get the Generator child element.
`P`
`getP()`
Get the P child element.
`PgenCounter`
`getPgenCounter()`
Get the pgenCounter element.
`Public`
`getPublic()`
Get the Public element.
`Q`
`getQ()`
Get the Q child element.
`Seed`
`getSeed()`
Get the seed element.
`void`
`setGenerator(Generator newGenerator)`
Set the G child element.
`void`
`setP(P newP)`
Set the P child element.
`void`
`setPgenCounter(PgenCounter newPgenCounter)`
Set the pgenCounter element.
`void`
`setPublic(Public newPublic)`
Set the Public element.
`void`
`setQ(Q newQ)`
Set the Q child element.
`void`
`setSeed(Seed newSeed)`
Set the seed element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getP

@Nullable P getP()
Get the P child element.

Returns:
  the P child element

### setP

void setP(@Nullable P newP)
Set the P child element.

Parameters:
  `newP` - the new P child element

### getQ

@Nullable Q getQ()
Get the Q child element.

Returns:
  the Q child element

### setQ

void setQ(@Nullable Q newQ)
Set the Q child element.

Parameters:
  `newQ` - the new Q child element

### getGenerator

@Nullable Generator getGenerator()
Get the Generator child element.

Returns:
  the Generator child element

### setGenerator

void setGenerator(@Nullable Generator newGenerator)
Set the G child element.

Parameters:
  `newGenerator` - the new G child element

### getPublic

@Nullable Public getPublic()
Get the Public element.

Returns:
  the Public element

### setPublic

void setPublic(@Nullable Public newPublic)
Set the Public element.

Parameters:
  `newPublic` - the new Public child element

### getSeed

@Nullable Seed getSeed()
Get the seed element.

Returns:
  the seed element

### setSeed

void setSeed(@Nullable Seed newSeed)
Set the seed element.

Parameters:
  `newSeed` - new seed element

### getPgenCounter

@Nullable PgenCounter getPgenCounter()
Get the pgenCounter element.

Returns:
  the pgenCounter element

### setPgenCounter

void setPgenCounter(@Nullable PgenCounter newPgenCounter)
Set the pgenCounter element.

Parameters:
  `newPgenCounter` - new pgenCounter element